import { View } from "../../../framework/View";
import { ViewModel, ViewModelOptions } from "../../../framework/ViewModel";
import { ObservableProperty, ObservableArrayProperty } from "../../../framework/observable";
export interface SelectViewModelOptions<TItem, TValue> extends ViewModelOptions {
    value?: TValue | ObservableProperty<TValue>;
    items?: Array<TItem> | ObservableArrayProperty<TItem>;
    textFunction: (item: TItem) => string;
    valueFunction: (item: TItem) => TValue;
    inputValidator?: (event: Event, selectViewModel: SelectViewModelOptions<TItem, TValue>, value: TValue) => Promise<boolean>;
    emptyItemText?: string;
}
export declare class SelectViewModel<TItem, TValue> extends ViewModel {
    constructor(options?: SelectViewModelOptions<TItem, TValue>);
    readonly value: ObservableProperty<TValue>;
    readonly items: ObservableArrayProperty<TItem>;
    readonly textFunction: (item: TItem) => string;
    readonly valueFunction: (item: TItem) => TValue;
    readonly inputValidator: (event: Event, inputViewModel: SelectViewModel<TItem, TValue>, value: TValue) => Promise<boolean>;
    readonly emptyItemText: string;
}
export declare class SelectView<TItem, TValue> extends View<SelectViewModelOptions<TItem, TValue>> {
    constructor(viewModel: SelectViewModelOptions<TItem, TValue>, designTimeOptions?: ViewModelOptions);
    protected build(): void;
    private itemDictionary;
    private setItems;
    private setSelectedValue;
}
