import { View } from "../../../framework/View";
import { ViewModel, ViewModelOptions } from "../../../framework/ViewModel";
import { Subscribable } from "knockout";
export interface JsonFormatterViewModelOptions extends ViewModelOptions {
    json: object | Subscribable<object>;
    showArrayIndex?: boolean;
    quotesOnKeys?: boolean;
    displayDataTypes?: boolean;
    displayObjectSize?: boolean;
    sortKeys?: boolean;
    collapsed?: boolean;
}
export declare class JsonFormatterViewModel extends ViewModel implements JsonFormatterViewModelOptions {
    constructor(options?: JsonFormatterViewModelOptions);
    readonly json: object | Subscribable<object>;
    readonly showArrayIndex: boolean;
    readonly quotesOnKeys: boolean;
    readonly displayDataTypes: boolean;
    readonly displayObjectSize: boolean;
    readonly sortKeys: boolean;
    readonly collapsed: boolean;
}
export declare class JsonFormatterView extends View<JsonFormatterViewModelOptions> {
    constructor(viewModel: JsonFormatterViewModelOptions, designTimeOptions?: ViewModelOptions);
    build(): void;
    private setJson;
}
