import { getScript } from "jquery";
import kendo from "@progress/kendo-ui/js/kendo.core";
export async function setCulture(cultureCode) {
    if (!cultureCode || cultureCode === "en-US")
        return;
    const kendoVersion = "2021.1.330";
    const urlPrefix = "https://kendo.cdn.telerik.com/" + kendoVersion + "/js/";
    const urlPostfix = "." + cultureCode + ".min.js";
    try {
        await getScript(urlPrefix + "cultures/kendo.culture" + urlPostfix);
        kendo.culture(cultureCode);
    }
    catch (ec) {
        const error = ec;
        kendo.culture("en-US");
        console.log("Failed loading culture for " + cultureCode + ": " + error.message);
    }
    try {
        await getScript(urlPrefix + "messages/kendo.messages" + urlPostfix);
    }
    catch (em) {
        const error = em;
        console.log("Failed loading messages for " + cultureCode + ": " + error.message);
    }
}
//# sourceMappingURL=Culture.js.map