import "tocca";
import { ObservableArray, Computed } from "knockout";
import { ViewModelOptions, ViewModel } from "./ViewModel";
type TagName = "div" | "input" | "a" | "button" | "img" | "select" | "pre" | "form" | "span" | "textarea";
export interface IView {
    render(): HTMLElement;
}
export interface ViewOptions<TViewModel> {
    tagName: TagName;
    viewModel?: TViewModel;
    children?: Array<IView> | ObservableArray<IView> | Computed<Array<IView>>;
}
export declare class View<TViewModel = any> implements IView {
    constructor(options: ViewOptions<TViewModel>, designTimeOptions?: ViewModelOptions);
    private readonly tagName;
    private readonly optionsChildren;
    private children;
    private buildChildren;
    protected element: HTMLElement;
    protected readonly viewModel: TViewModel;
    protected build(): void;
    protected remove(): void;
    protected addChild(child: IView): View<TViewModel>;
    protected setChildren(...children: Array<IView>): View<TViewModel>;
    protected empty(): void;
    render(): HTMLElement;
}
export declare var viewDictionary: Map<any, any>;
export declare function registerView(viewModel: any, resolver: any): void;
export declare function getView(viewModel: ViewModel): View;
export declare function render(viewModel: ViewModel): HTMLElement;
export {};
