const blobDictionary = {};
async function blobToBase64(blob) {
    return new Promise((resolve) => {
        const reader = new FileReader();
        reader.onloadend = () => resolve(reader.result);
        reader.readAsDataURL(blob);
    });
}
export async function getBlobUrl(blob) {
    const base64 = await blobToBase64(blob);
    let url = blobDictionary[base64];
    if (!url) {
        url = URL.createObjectURL(blob);
        blobDictionary[base64] = url;
    }
    return url;
}
export const blankGif = "data:image/gif;base64,R0lGODlhAQABAAD/ACwAAAAAAQABAAACADs=";
//# sourceMappingURL=blob.js.map